Page MenuHomePhabricator

Create VMs for certcentral hosts
Closed, ResolvedPublic

Description

Site: 1 in eqiad and 1 in codfw
Server Specifications: 1 vCPU, 2Gb RAM, 10Gb HDD.
Internal or External IP: Internal IP. Will need to be able to SSH to auth DNS servers, HTTP to the outbound web proxy, and accept HTTPS in from internal services on a custom port.
SSL Requirements: Internal service only, not to be exposed outside the private network. Will be serving requests using puppet certs.
Projected Duration of need: Permanent.

Event Timeline

Vgutierrez triaged this task as Medium priority.Oct 5 2018, 10:26 AM
Vgutierrez created this task.
Vgutierrez moved this task from Triage to Hardware on the Traffic board.
Krenair updated the task description. (Show Details)

Change 464795 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] dns entries for certcentral[12]001

https://gerrit.wikimedia.org/r/464795

Change 464795 merged by Vgutierrez:
[operations/dns@master] dns entries for certcentral[12]001

https://gerrit.wikimedia.org/r/464795

Mentioned in SAL (#wikimedia-operations) [2018-10-05T12:12:03Z] <vgutierrez> Creating certcentral2001.codfw.wmnet in ganeti - T206308

Mentioned in SAL (#wikimedia-operations) [2018-10-05T12:13:41Z] <vgutierrez> Creating certcentral1001.eqiad.wmnet in ganeti - T206308

Change 464806 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Add certcentral[12]001 to the DHCP configuration

https://gerrit.wikimedia.org/r/464806

certcentral1001 created with the following cmd:

sudo gnt-instance add -t drbd -I hail --net 0:link=private --hypervisor-parameters=kvm:boot_order=network -o debootstrap+default --no-install -g row_C -B vcpus=1,memory=2g --disk 0:size=10g certcentral1001.eqiad.wmnet

certcentral2001 created with the following cmd:

sudo gnt-instance add -t drbd -I hail --net 0:link=private --hypervisor-parameters=kvm:boot_order=network -o debootstrap+default --no-install -g row_A -B vcpus=1,memory=2g --disk 0:size=10g certcentral2001.codfw.wmnet

Change 464806 merged by Vgutierrez:
[operations/puppet@production] install_server: Add certcentral[12]001 to the DHCP configuration

https://gerrit.wikimedia.org/r/464806

Change 465129 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: provide netboot config for certcentral[12]001

https://gerrit.wikimedia.org/r/465129

Change 465129 merged by Vgutierrez:
[operations/puppet@production] install_server: provide netboot config for certcentral[12]001

https://gerrit.wikimedia.org/r/465129

Change 465139 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] site: add certcentral[12]001 as spare systems

https://gerrit.wikimedia.org/r/465139

Change 465139 merged by Vgutierrez:
[operations/puppet@production] site: add certcentral[12]001 as spare systems

https://gerrit.wikimedia.org/r/465139

Vgutierrez closed this task as Resolved.Oct 8 2018, 11:13 AM

VMs delivered, added in puppet as spare systems till certcentral puppetization is ready to go